Imports Microsoft.DirectX
Imports Microsoft.DirectX.Direct3D

Public Class Form1
    Inherits System.Windows.Forms.Form

#Region " Codice generato da Progettazione Windows Form "

    Public Sub New()
        MyBase.New()

        'Chiamata richiesta da Progettazione Windows Form.
        InitializeComponent()

        'Aggiungere le eventuali istruzioni di inizializzazione dopo la chiamata a InitializeComponent()

    End Sub

    'Form esegue l'override del metodo Dispose per pulire l'elenco dei componenti.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Richiesto da Progettazione Windows Form
    Private components As System.ComponentModel.IContainer

    'NOTA: la procedura che segue  richiesta da Progettazione Windows Form.
    'Pu essere modificata in Progettazione Windows Form.  
    'Non modificarla nell'editor del codice.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        '
        'Form1
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(600, 494)
        Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle
        Me.MaximizeBox = False
        Me.Name = "Form1"
        Me.Text = "skinning mesh"

    End Sub

#End Region

    Dim a As Tiniy_x
    Dim speed As Single = 1


    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        creaSchermo(0, 0, 0, Me.Handle, True)
        iniziatutto()
        Me.Show()
        Me.Focus()
        mainLoop()
    End Sub
    Sub mainLoop()
        'luce
        device.RenderState.Lighting = True
        device.Lights(0).Enabled = True
        device.RenderState.Ambient = Color.FromArgb(127, 127, 127, 127)
        device.Lights(0).Type = LightType.Directional
        device.Lights(0).Diffuse = Color.White
        device.Lights(0).Direction = New Vector3(0, 0, 1)



        device.Transform.View = Matrix.LookAtLH(New Vector3(500, 200, -400), New Vector3(0, 200, 0), New Vector3(0, 1, 0))
        'creazione di una animazione
        a = New Tiniy_x(AppPath() + "\tiny_4anim.x", AppPath, 0.25)
        a.setSpeed(speed)
        Dim d As Double
        Dim angolo As Integer
        Dim testo As Font
        testo = creaFont(New Drawing.Font("Arial", 12))


        Do
            d = 0.01
            angolo += 1

            Application.DoEvents()
            device.Clear(ClearFlags.Target Or ClearFlags.ZBuffer, Color.Blue, 1, 0)
            device.BeginScene()

            a.ProcessNextFrame(d, muoviRet(1, 1, 1, -90, angolo, 0, 0, 0, 0))
            a.drawMesh()
            testo.DrawText(Nothing, "premi L K J H per cambiare animazione", 0, 0, Color.White)
            device.EndScene()
            device.Present()
        Loop
    End Sub

    Private Sub Form1_Closed(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Closed
        sprite.Dispose()
        device.Dispose()
        End
    End Sub


    Private Sub Form1_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles MyBase.KeyDown
        Select Case e.KeyCode
            Case Keys.Up
                speed += 0.1
                a.setSpeed(speed)
            Case Keys.Down
                speed -= 0.1
                a.setSpeed(speed)
            Case Keys.L
                a.changeAnimation(Tiniy_x.ANIMATIONSET_INDEX.JOG_INDEX, False)

            Case Keys.K
                a.changeAnimation(Tiniy_x.ANIMATIONSET_INDEX.LOITER_INDEX, False)

            Case Keys.J
                a.changeAnimation(Tiniy_x.ANIMATIONSET_INDEX.WALK_INDEX, False)

            Case Keys.H
                a.changeAnimation(Tiniy_x.ANIMATIONSET_INDEX.WAVE_INDEX, False)

        End Select
    End Sub
End Class








